Attribute VB_Name = "Declarations"
Option Explicit

Public Const TREE_MAX_RANK As Integer = 30

Public Const COLOR_DEFAULT = -1

Public Const FLOAT_ACCURACY As Double = 0.001

Public Const GAP_VERTICAL = 5# / 25.4
Public Const GAP_HORIZONTAL = 5# / 25.4
Public Const GAP_VERT_ADJUSTMENT_TO_HOR = 10# / 25.4
Public Const GAP_RANK = 10# / 25.4

Public Const MASTER_CONNECT_HOR = " "
Public Const MASTER_CONNECT_VERT = " "
Public Const MASTER_RANK = ""

Public Const SHAPE_RANK_MASTER = "#Lvl"

Public Const PREFIX_NODE = "#N"
Public Const PREFIX_CONNECTOR = "#C"

' Layout modes
Public Enum TLayout
  T_LAYOUT_VERTICAL   ' y-based
  T_LAYOUT_HORIZONTAL   ' x-based
  T_LAYOUT_RADIAL  ' distance based
  T_LAYOUT_COLUMN_RIGHT  ' right column
  T_LAYOUT_COLUMN_LEFT ' left column
End Enum

' Input / output modes for conversion
Public Enum IOMode
  MODE_EXCEL
  MODE_WORD
  MODE_VISIO
End Enum

' ========== Word declarations ==========
Public Const WORD_HEADING_MAX_LEVEL = 9
Public Const EXPORT_TEMPLATE_PATH = "\Microsoft\\01  .dotx"
